// pages/receivedInvitation/receivedInvitation.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        oprerateState:'待定',   //我方操作状态
        needState:'',   //需求号状态
        courseState:'', //课程号状态
        needColor:'',   //需求号链接的颜色
        courseColor:''  //课程号链接的颜色
    },

    // 跳转到需求详情
    toNeedDetail() {
        let needState = this.data.needState
        if(!needState){
            wx.navigateTo({
                url: '/pages/stuNeed/stuNeed',
            })
        }else if(needState == '已锁'){
            wx.showModal({
              title:'提示',
              content:'需求已锁定，不能操作'
            })
        }else if(needState == '下架'){
            wx.showModal({
                title:'提示',
                content:'需求已下架，不能操作'
              })
        }
    },

    // 跳转到课程详情
    toCourseDetail() {
        let courseState = this.data.courseState
        if(!courseState){
            wx.navigateTo({
                url: '/pages/stuNeed/stuNeed',
            })
        }else if(courseState == '已锁'){
            wx.showModal({
                title:'提示',
                content:'课程已锁定，不能操作'
              })
        }else if(courseState == '下架'){
            wx.showModal({
                title:'提示',
                content:'课程已下架，不能操作'
              })
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        // 加载页面时根据状态重置需求号链接的颜色
        if(this.data.needState){
            this.setData({
                needColor:'#808080'
            })
        }
        // 加载页面时根据状态重置课程号链接的颜色
        if(this.data.courseState){
            this.setData({
                courseColor:'#808080'
            })
        }
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})