// pages/stuNeed/stuNeed.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        stuName: '', //学生姓名
        stuPhoneNum: '', //学生电话号码
        stuWeChatNum: '', //学生微信号码
        chosedCourse: '', //课程类别（大类）选项
        showCourseTitle: false, //课程类别（大类）选项是否展示
        courseChosedIndex: '', //选中课程大类的索引
        chosedCourseDetail: '', //课程细分选项
        showCourseDetail: false, //课程细分选项是否展示
        teachPosition: '', //辅导方式
        chosedTeachPosition: false, //辅导方式选项是否展示
        stuSex: '', //学生性别
        salary: '', //学生输入的酬金
        schoolTimeAM: [], //上午上课时间
        schoolTimePM: [], //下午上课时间
        schoolTimeEvening: [], //晚上上课时间
        schoolTime: [], //合并后的上课时间
        stuGoal: '', //学生输入的期望目标或效果
        chosedStuSex: false, //学生性别选项是否展示
        teacherAttr: '不限', //老师身份默认选项
        chosedTeacherAttr: false, //老师身份选项区是否展示
        teacherAttrIndex: '', //选中老师身份的索引
        teacherEdu: '不限', //老师学历默认选项
        showTeachEdu: false, //老师学历选项区是否展示
        teacherSex: '不限', //老师性别默认选项
        showTeachSex: false, //老师性别选项是否展示
        teacherImg: '不限', //老师头像是否上传默认选项
        showTeachImg: false, //老师头像是否上传的选项是否展示
        toTeacherOtherNeed: '', //对老师的其他需求
        // 课程类别
        courseList: [{
                name: "小学",
                choesd: false
            },
            {
                name: "初中",
                choesd: false
            },
            {
                name: "高中",
                choesd: false
            },
            {
                name: "大学",
                choesd: false
            },
            {
                name: "音乐",
                choesd: false
            },
            {
                name: "舞蹈",
                choesd: false
            },
            {
                name: "语言",
                choesd: false
            },
            {
                name: "体育",
                choesd: false
            },
            {
                name: "美术",
                choesd: false
            },
            {
                name: "书法",
                choesd: false
            },
            {
                name: "少儿编程",
                choesd: false
            },
            {
                name: "计算机",
                choesd: false
            },
            {
                name: "其他",
                choesd: false
            }
        ],
        // 课程细分
        courseDetail: [
            [{
                    courseName: '小学1-5数学',
                    choesd: false
                },
                {
                    courseName: '小学1-5英语',
                    choesd: false
                },
                {
                    courseName: '小学1-5语文',
                    choesd: false
                },
                {
                    courseName: '小学6数学',
                    choesd: false
                },
                {
                    courseName: '小学6英语',
                    choesd: false
                },
                {
                    courseName: '小学6语文',
                    choesd: false
                },
                {
                    courseName: '小学奥数',
                    choesd: false
                }
            ],
            [{
                    courseName: '初一初二语文',
                    choesd: false
                },
                {
                    courseName: '初一初二数学',
                    choesd: false
                },
                {
                    courseName: '初一初二英语',
                    choesd: false
                },
                {
                    courseName: '初一初二物理',
                    choesd: false
                },
                {
                    courseName: '初一初二化学',
                    choesd: false
                },
                {
                    courseName: '初三语文',
                    choesd: false
                },
                {
                    courseName: '初三数学',
                    choesd: false
                },
                {
                    courseName: '初三英语',
                    choesd: false
                },
                {
                    courseName: '初三物理',
                    choesd: false
                },
                {
                    courseName: '初三化学',
                    choesd: false
                },
                {
                    courseName: '初中历史',
                    choesd: false
                },
                {
                    courseName: '初中地理',
                    choesd: false
                },
                {
                    courseName: '初中奥数',
                    choesd: false
                },
                {
                    courseName: '初中生物',
                    choesd: false
                },
                {
                    courseName: '初中预备班',
                    choesd: false
                },
                {
                    courseName: '初中科学',
                    choesd: false
                },
                {
                    courseName: '初中政治',
                    choesd: false
                }
            ],
            [{
                    courseName: '高一高二语文',
                    choesd: false
                },
                {
                    courseName: '高一高二数学',
                    choesd: false
                },
                {
                    courseName: '高一高二英语',
                    choesd: false
                },
                {
                    courseName: '高一高二物理',
                    choesd: false
                },
                {
                    courseName: '高一高二化学',
                    choesd: false
                },
                {
                    courseName: '高三语文',
                    choesd: false
                },
                {
                    courseName: '高三数学',
                    choesd: false
                },
                {
                    courseName: '高三英语',
                    choesd: false
                },
                {
                    courseName: '高三物理',
                    choesd: false
                },
                {
                    courseName: '高三化学',
                    choesd: false
                },
                {
                    courseName: '高中历史',
                    choesd: false
                },
                {
                    courseName: '高中地理',
                    choesd: false
                },
                {
                    courseName: '高中政治',
                    choesd: false
                },
                {
                    courseName: '高中生物',
                    choesd: false
                },
                {
                    courseName: '信息科技',
                    choesd: false
                },
                {
                    courseName: 'SAT',
                    choesd: false
                }
            ],
            [{
                    courseName: '托福',
                    choesd: false
                },
                {
                    courseName: '雅思',
                    choesd: false
                },
                {
                    courseName: '高等数学',
                    choesd: false
                },
                {
                    courseName: '微观经济学',
                    choesd: false
                },
                {
                    courseName: 'MBA',
                    choesd: false
                },
                {
                    courseName: '成人高考',
                    choesd: false
                },
                {
                    courseName: '国学',
                    choesd: false
                },
                {
                    courseName: '自学考试',
                    choesd: false
                },
                {
                    courseName: '专升本',
                    choesd: false
                },
                {
                    courseName: '考博面试辅导',
                    choesd: false
                },
                {
                    courseName: '考博专业课',
                    choesd: false
                },
                {
                    courseName: '考博英语',
                    choesd: false
                },
                {
                    courseName: '英语四级',
                    choesd: false
                },
                {
                    courseName: '英语六级',
                    choesd: false
                },
                {
                    courseName: '论文指导',
                    choesd: false
                },
                {
                    courseName: '考研专业课',
                    choesd: false
                },
                {
                    courseName: '考研政治',
                    choesd: false
                },
                {
                    courseName: '考研数学',
                    choesd: false
                },
                {
                    courseName: '考研英语',
                    choesd: false
                },
                {
                    courseName: '英语专业四级',
                    choesd: false
                },
                {
                    courseName: '英语专业八级',
                    choesd: false
                },
                {
                    courseName: '课程辅导',
                    choesd: false
                }
            ],
            [{
                    courseName: '小提琴',
                    choesd: false
                },
                {
                    courseName: '钢琴',
                    choesd: false
                },
                {
                    courseName: '电子琴',
                    choesd: false
                },
                {
                    courseName: '长笛',
                    choesd: false
                },
                {
                    courseName: '琵琶',
                    choesd: false
                },
                {
                    courseName: '手风琴',
                    choesd: false
                },
                {
                    courseName: '古筝',
                    choesd: false
                },
                {
                    courseName: '练耳歌唱',
                    choesd: false
                },
                {
                    courseName: '大号',
                    choesd: false
                },
                {
                    courseName: '声乐',
                    choesd: false
                },
                {
                    courseName: '萨克斯',
                    choesd: false
                },
                {
                    courseName: '单簧管',
                    choesd: false
                },
                {
                    courseName: '吉他',
                    choesd: false
                },
                {
                    courseName: '小号',
                    choesd: false
                },
                {
                    courseName: '古琴',
                    choesd: false
                },
                {
                    courseName: '二胡',
                    choesd: false
                },
                {
                    courseName: '大提琴',
                    choesd: false
                },
                {
                    courseName: '打击乐',
                    choesd: false
                },
                {
                    courseName: '圆号',
                    choesd: false
                },
                {
                    courseName: '中提琴',
                    choesd: false
                },
                {
                    courseName: '竹笛',
                    choesd: false
                },
                {
                    courseName: '架子鼓',
                    choesd: false
                },
                {
                    courseName: '扬琴',
                    choesd: false
                },
                {
                    courseName: '巴松',
                    choesd: false
                }
            ],
            [{
                    courseName: '民族舞',
                    choesd: false
                },
                {
                    courseName: '爵士舞',
                    choesd: false
                },
                {
                    courseName: '拉丁舞',
                    choesd: false
                },
                {
                    courseName: '芭蕾舞',
                    choesd: false
                },
                {
                    courseName: '街舞',
                    choesd: false
                },
                {
                    courseName: '现代舞',
                    choesd: false
                },
                {
                    courseName: '踢踏舞',
                    choesd: false
                }
            ],
            [{
                    courseName: '本地方言',
                    choesd: false
                },
                {
                    courseName: '日语',
                    choesd: false
                },
                {
                    courseName: '英语口语',
                    choesd: false
                },
                {
                    courseName: '新概念英语',
                    choesd: false
                },
                {
                    courseName: '牛津英语',
                    choesd: false
                },
                {
                    courseName: '西班牙语',
                    choesd: false
                },
                {
                    courseName: '德语',
                    choesd: false
                },
                {
                    courseName: '商务英语',
                    choesd: false
                },
                {
                    courseName: '法语',
                    choesd: false
                },
                {
                    courseName: '韩语',
                    choesd: false
                },
                {
                    courseName: '意大利语',
                    choesd: false
                },
                {
                    courseName: '汉语',
                    choesd: false
                },
                {
                    courseName: '阿拉伯语',
                    choesd: false
                },
                {
                    courseName: 'SBS英语',
                    choesd: false
                },
                {
                    courseName: '俄语',
                    choesd: false
                },
                {
                    courseName: '葡萄牙语',
                    choesd: false
                }
            ],
            [{
                    courseName: '羽毛球',
                    choesd: false
                },
                {
                    courseName: '跆拳道',
                    choesd: false
                },
                {
                    courseName: '游泳',
                    choesd: false
                },
                {
                    courseName: '乒乓球',
                    choesd: false
                },
                {
                    courseName: '网球',
                    choesd: false
                },
                {
                    courseName: '中国象棋',
                    choesd: false
                },
                {
                    courseName: '国际象棋',
                    choesd: false
                },
                {
                    courseName: '围棋',
                    choesd: false
                },
                {
                    courseName: '篮球',
                    choesd: false
                },
                {
                    courseName: '空手道',
                    choesd: false
                }
            ],
            [{
                    courseName: '卡通画',
                    choesd: false
                },
                {
                    courseName: '中国画',
                    choesd: false
                },
                {
                    courseName: '素描',
                    choesd: false
                },
                {
                    courseName: '油画',
                    choesd: false
                },
                {
                    courseName: '水彩',
                    choesd: false
                },
                {
                    courseName: '漫画',
                    choesd: false
                }
            ],
            [{
                    courseName: '硬笔',
                    choesd: false
                },
                {
                    courseName: '毛笔',
                    choesd: false
                },
                {
                    courseName: '篆刻',
                    choesd: false
                }
            ],
            [{
                    courseName: 'Scratch',
                    choesd: false
                },
                {
                    courseName: 'Python',
                    choesd: false
                },
                {
                    courseName: 'C++',
                    choesd: false
                },
                {
                    courseName: 'microbit',
                    choesd: false
                }
            ],
            [{
                    courseName: '应用能力初级',
                    choesd: false
                },
                {
                    courseName: '应用能力中级',
                    choesd: false
                },
                {
                    courseName: '基本操作',
                    choesd: false
                }
            ],
            [{
                    courseName: '学习习惯',
                    choesd: false
                },
                {
                    courseName: '口才',
                    choesd: false
                },
                {
                    courseName: '心理辅导',
                    choesd: false
                },
                {
                    courseName: '记忆力',
                    choesd: false
                },
                {
                    courseName: '注意力',
                    choesd: false
                }
            ]
        ],
        // 辅导方式
        teachPositions: [{
                opType: '老师上门',
                choesd: false
            },
            {
                opType: '学员上门',
                choesd: false
            }, {
                opType: '线上辅导',
                choesd: false
            }, {
                opType: '老师住家',
                choesd: false
            },
            {
                opType: '学员住家',
                choesd: false
            }
        ],
        // 学生性别
        stuSexList: [{
                gender: '男',
                choesd: false
            },
            {
                gender: '女',
                choesd: false
            }
        ],
        // 老师身份列表
        teacherAttrList: [{
                'attr': '不限',
                chosed: true
            },
            {
                'attr': '专职老师',
                chosed: false
            },
            {
                'attr': '在校大学生',
                chosed: false
            }

        ],
        // 老师学历列表1
        educationList: [
            [{
                'edu': '不限',
                chosed: true
            }],
            [{
                    'edu': '不限',
                    chosed: true
                },
                {
                    'edu': '博士毕业',
                    chosed: false
                },
                {
                    'edu': '硕士毕业',
                    chosed: false
                },
                {
                    'edu': '本科毕业',
                    chosed: false
                },
                {
                    'edu': '专科毕业',
                    chosed: false
                }
            ],
            [{
                    'edu': '不限',
                    chosed: true
                },
                {
                    'edu': '博士在读',
                    chosed: false
                },
                {
                    'edu': '硕士在读',
                    chosed: false
                },
                {
                    'edu': '本科在读',
                    chosed: false
                },
                {
                    'edu': '专科在读',
                    chosed: false
                }
            ]
        ],
        // 老师学历列表2
        educationL: [{
                'edu': '不限',
                chosed: true
            },
            {
                'edu': '博士毕业',
                chosed: false
            },
            {
                'edu': '硕士毕业',
                chosed: false
            },
            {
                'edu': '本科毕业',
                chosed: false
            },
            {
                'edu': '专科毕业',
                chosed: false
            },
            {
                'edu': '博士在读',
                chosed: false
            },
            {
                'edu': '硕士在读',
                chosed: false
            },
            {
                'edu': '本科在读',
                chosed: false
            },
            {
                'edu': '专科在读',
                chosed: false
            }
        ],
        // 老师性别列表
        teachSexList: [{
                sex: '不限',
                chosed: true
            },
            {
                sex: '男',
                chosed: false
            },
            {
                sex: '女',
                chosed: false
            }
        ],
        // 是否要求头像上传
        teacherImgList: [{
                imgUpload: '不限',
                choesd: true
            },
            {
                imgUpload: '有照片',
                choesd: false
            }
        ],
        // 上课时间
        // 上午
        timeAM: [{
                name: '1',
                value: 'A1'
            },
            {
                name: '2',
                value: 'A2'
            },
            {
                name: '3',
                value: 'A3'
            },
            {
                name: '4',
                value: 'A4'
            },
            {
                name: '5',
                value: 'A5'
            },
            {
                name: '6',
                value: 'A6'
            },
            {
                name: '7',
                value: 'A7'
            }
        ],
        // 下午
        timePM: [{
                name: '1',
                value: 'P1'
            },
            {
                name: '2',
                value: 'P2'
            },
            {
                name: '3',
                value: 'P3'
            },
            {
                name: '4',
                value: 'P4'
            },
            {
                name: '5',
                value: 'P5'
            },
            {
                name: '6',
                value: 'P6'
            },
            {
                name: '7',
                value: 'P7'
            }
        ],
        // 晚上
        timeEvening: [{
                name: '1',
                value: 'E1'
            },
            {
                name: '2',
                value: 'E2'
            },
            {
                name: '3',
                value: 'E3'
            },
            {
                name: '4',
                value: 'E4'
            },
            {
                name: '5',
                value: 'E5'
            },
            {
                name: '6',
                value: 'E6'
            },
            {
                name: '7',
                value: 'E7'
            }
        ]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    // 获取学生姓名
    getStuName(e) {
        // console.log(e.detail.value)
        this.setData({
            stuName: e.detail.value
        })
        // console.log(this.data.stuName)
    },

    // 获取学生手机号码
    getStuPhone(e) {
        this.setData({
            stuPhoneNum: e.detail.value
        })
    },

    //获取学生微信号码
    getStuWeChat(e) {
        this.setData({
            stuWeChatNum: e.detail.value
        })
    },
    // 课程类别
    // 打开课程类别（大类）选项区
    chooseCourseTitle() {
        this.setData({
            showCourseTitle: true,
            chosedCourseDetail: ''
        })
    },
    // 定义退出下拉选区的方法
    hiddenCourseTitle() {
        this.setData({
            showCourseTitle: false
        })
    },
    // 从下拉区选择课程类别内容
    onChooseCourseTitle(e) {
        let index = e.currentTarget.dataset.index
        let courseList = this.data.courseList
        for (let i = 0; i < courseList.length; i++) {
            if (i == index) {
                courseList[i].chosed = !courseList[i].chosed
            } else {
                courseList[i].chosed = false
            }
        }
        this.setData({
            courseList
        })

    },
    // 课程类别（大类）确定按钮的点击事件
    confirmCourseTitle() {
        let courseList = this.data.courseList
        let index
        for (let i = 0; i < courseList.length; i++) {
            if (courseList[i].chosed) {
                index = i
            }
        }
        let chosedCourse = courseList[index]?.name || ''
        let courseChosedIndex = index
        this.setData({
            chosedCourse,
            courseChosedIndex
        })
        // console.log('courseChosedIndex：' + courseChosedIndex)
        // let courseDetail = this.data.courseDetail
        // console.log('courseDetail：'+courseDetail[courseChosedIndex])
        this.hiddenCourseTitle()
    },

    // 课程细分（小类）选择
    // 打开课程细分选项区
    toCourseDetail() {
        if (!this.data.chosedCourse) {
            wx.showToast({
                title: '请先选择课程类别',
                icon: 'none'
            })
            return
        }
        this.setData({
            showCourseDetail: true
        })
    },
    // 定义退出课程细分选区的方法
    hiddenCourseDetail() {
        this.setData({
            showCourseDetail: false
        })
    },
    // 从下拉区选择课程细分内容
    onChooseCourseDetail(e) {
        let index = e.currentTarget.dataset.index
        let courseDetail = this.data.courseDetail
        let courseChosedIndex = this.data.courseChosedIndex
        for (let i = 0; i < courseDetail[courseChosedIndex].length; i++) {
            if (i == index) {
                courseDetail[courseChosedIndex][i].chosed = !courseDetail[courseChosedIndex][i].chosed
            } else {
                courseDetail[courseChosedIndex][i].chosed = false
            }
        }
        this.setData({
            courseDetail
        })
    },
    // 课程细分（小类）确定按钮的点击事件
    confirmCourseDetail() {
        let courseDetail = this.data.courseDetail
        let courseChosedIndex = this.data.courseChosedIndex
        let index
        for (let i = 0; i < courseDetail[courseChosedIndex].length; i++) {
            if (courseDetail[courseChosedIndex][i].chosed) {
                index = i
            }
        }
        let chosedCourseDetail = courseDetail[courseChosedIndex][index]?.courseName || ''
        this.setData({
            chosedCourseDetail
        })
        this.hiddenCourseDetail()
    },

    // 辅导方式
    // 打开辅导方式选项区
    toTeachPosition() {
        this.setData({
            chosedTeachPosition: true
        })
    },
    // 关闭辅导方式选项区的方法
    hiddenTeachPosition() {
        this.setData({
            chosedTeachPosition: false
        })
    },
    // 从下拉选区选择辅导方式内容
    onTeachPosition(e) {
        let index = e.currentTarget.dataset.index
        let teachPositions = this.data.teachPositions
        for (let i = 0; i < teachPositions.length; i++) {
            if (i == index) {
                teachPositions[i].chosed = !teachPositions[i].chosed
            } else {
                teachPositions[i].chosed = false
            }
        }
        this.setData({
            teachPositions
        })
    },
    // 辅导方式确定按钮点击事件
    confirmTeachPosition() {
        let teachPositions = this.data.teachPositions
        let index
        for (let i = 0; i < teachPositions.length; i++) {
            if (teachPositions[i].chosed) {
                index = i
            }
        }
        let teachPosition = teachPositions[index]?.opType || ''
        this.setData({
            teachPosition
        })
        this.hiddenTeachPosition()
    },

    // 选择学生性别
    // 打开学生性别选项区
    chooseStuSex() {
        this.setData({
            chosedStuSex: true,
            stuSex: ''
        })
        // 点击学生性别的选项后，将原来的选项取消，恢复到默认选项
        let stuSexList = this.data.stuSexList
        for (let i = 0; i < stuSexList.length; i++) {
            stuSexList[i].chosed = false
        }
        this.setData({
            stuSexList
        })
    },
    // 关闭学生性别选项区的方法
    hiddenStuSex() {
        this.setData({
            chosedStuSex: false
        })
    },
    // 从下拉选区选择学生性别
    onChosedStuSex(e) {
        let index = e.currentTarget.dataset.index
        let stuSexList = this.data.stuSexList
        for (let i = 0; i < stuSexList.length; i++) {
            if (i == index) {
                stuSexList[i].chosed = !stuSexList[i].chosed
            } else {
                stuSexList[i].chosed = false
            }
        }
        this.setData({
            stuSexList
        })
    },
    // 学生性别确定按钮点击事件
    confirmChosedStuSex() {
        let stuSexList = this.data.stuSexList
        let index
        for (let i = 0; i < stuSexList.length; i++) {
            if (stuSexList[i].chosed) {
                index = i
            }
        }
        let stuSex = stuSexList[index]?.gender || ''
        this.setData({
            stuSex
        })
        this.hiddenStuSex()
    },

    // 获取学生输入的课时费
    getSalary(e) {
        this.setData({
            salary: e.detail.value
        })
    },

    // 选择上课时间
    // 上午
    chechboxChangeAM(e) {
        // console.log(e)
        let schoolTimeAM = this.data.schoolTimeAM
        schoolTimeAM = e.detail.value
        this.setData({
            schoolTimeAM
        })
        // console.log(schoolTimeAM)
    },

    // 下午
    chechboxChangePM(e) {
        // console.log(e)
        let schoolTimePM = this.data.schoolTimePM
        schoolTimePM = e.detail.value
        this.setData({
            schoolTimePM
        })
        // console.log(schoolTimePM)
    },

    // 晚上
    chechboxChangeEvening(e) {
        // console.log(e)
        let schoolTimeEvening = this.data.schoolTimeEvening
        schoolTimeEvening = e.detail.value
        this.setData({
            schoolTimeEvening
        })
        // console.log(schoolTimeEvening)
    },

    // 合并上课时间的函数
    joinTime() {
        let schoolTimeAM = this.data.schoolTimeAM
        let schoolTimePM = this.data.schoolTimePM
        let schoolTimeEvening = this.data.schoolTimeEvening
        let schoolTime = this.data.schoolTime
        schoolTime = schoolTimeAM.concat(schoolTimePM, schoolTimeEvening)
        this.setData({
            schoolTime
        })
        // console.log("上课时间为："+schoolTime)
    },

    // 获取学生输入的期望达到的目标或效果
    getStuGoal(e) {
        this.setData({
            stuGoal: e.detail.value
        })
    },

    // 选择老师身份
    // 打开老师身份选项区
    chooseTeachAttr() {
        this.setData({
            chosedTeacherAttr: true,
            // teacherAttr: '不限',
            teacherEdu: '不限'
        })
        // 点击老师身份的选项后，将原来的选项取消，恢复到默认选项
        let teacherAttrList = this.data.teacherAttrList
        for (let i = 0; i < teacherAttrList.length; i++) {
            if (i == 0) {
                teacherAttrList[i].chosed = true
            } else {
                teacherAttrList[i].chosed = false
            }
        }
        this.setData({
            teacherAttrList
        })
        // console.log(teacherAttrList)
        let index
        for (let i = 0; i < teacherAttrList.length; i++) {
            if (teacherAttrList[i].chosed) {
                index = i
            }
        }
        let teacherAttr = teacherAttrList[index]?.attr || teacherAttrList[0].attr
        let teacherAttrIndex = index
        this.setData({
            teacherAttr,
            teacherAttrIndex
        })
        // 点击老师身份后，重置老师学历选项为默认值
        let educationList = this.data.educationList
        for (let i = 0; i < educationList.length; i++) {
            for (let j = 0; j < educationList[i].length; j++) {
                if (j == 0) {
                    educationList[i][j].chosed = true
                } else {
                    educationList[i][j].chosed = false
                }
            }
        }
        this.setData({
            educationList
        })
        let teacherEduIndex
        for (let i = 0; i < educationList[teacherAttrIndex].length; i++) {
            if (educationList[teacherAttrIndex][i].chosed) {
                teacherEduIndex = i
            }
        }
        let teacherEdu = educationList[teacherAttrIndex][teacherEduIndex]?.edu || ''
        this.setData({
            teacherEdu
        })
    },
    // 定义关闭老师身份选项区的方法
    hiddenTeacherAttr() {
        this.setData({
            chosedTeacherAttr: false
        })
    },
    // 从下拉选区选择老师身份
    onChosedTeacherAttr(e) {
        let index = e.currentTarget.dataset.index
        let teacherAttrList = this.data.teacherAttrList
        for (let i = 0; i < teacherAttrList.length; i++) {
            if (i == index) {
                teacherAttrList[i].chosed = !teacherAttrList[i].chosed
            } else {
                teacherAttrList[i].chosed = false
            }
        }
        this.setData({
            teacherAttrList
        })
    },
    // 老师身份的确定按钮点击事件
    confirmTeacherAttr() {
        let teacherAttrList = this.data.teacherAttrList
        let index
        for (let i = 0; i < teacherAttrList.length; i++) {
            if (teacherAttrList[i].chosed) {
                index = i
            }
        }
        let teacherAttr = teacherAttrList[index]?.attr || teacherAttrList[0].attr
        let teacherAttrIndex = index
        this.setData({
            teacherAttr,
            teacherAttrIndex
        })
        this.hiddenTeacherAttr()
        // console.log(teacherAttrIndex)
    },

    // 老师学历（当老师身份不包括“不限”时）
    // 打开老师学历选项区
    chooseTeachEdu() {
        this.setData({
            showTeachEdu: true,
            teacherEdu: '不限'
        })
        let educationList = this.data.educationList
        // console.log(educationList)
        // 点击老师学历的选项后，将原来的选项取消，恢复到默认选项
        for (let i = 0; i < educationList.length; i++) {
            for (let j = 0; j < educationList[i].length; j++) {
                if (j == 0) {
                    educationList[i][j].chosed = true
                } else {
                    educationList[i][j].chosed = false
                }
            }
        }
        this.setData({
            educationList
        })
    },
    // 关闭老师学历选项区的方法
    hiddenTeachEdu() {
        this.setData({
            showTeachEdu: false
        })
    },
    // 从下拉选区选择老师的学历
    onChosedTeacherEdu(e) {
        let index = e.currentTarget.dataset.index
        let educationList = this.data.educationList
        let teacherAttrIndex = this.data.teacherAttrIndex
        for (let i = 0; i < educationList[teacherAttrIndex].length; i++) {
            if (i == index) {
                educationList[teacherAttrIndex][i].chosed = !educationList[teacherAttrIndex][i].chosed
            } else {
                educationList[teacherAttrIndex][i].chosed = false
            }
        }
        this.setData({
            educationList
        })
    },
    // 老师学历确定按钮点击事件
    confirmTeachEdu() {
        let educationList = this.data.educationList
        let teacherAttrIndex = this.data.teacherAttrIndex
        let index
        for (let i = 0; i < educationList[teacherAttrIndex].length; i++) {
            if (educationList[teacherAttrIndex][i].chosed) {
                index = i
            }
        }
        let teacherEdu = educationList[teacherAttrIndex][index]?.edu || educationList[teacherAttrIndex][0].edu
        this.setData({
            teacherEdu
        })
        this.hiddenTeachEdu()
    },
    // 老师学历2（当老师身份选择“不限”时）
    // 打开老师学历选项区
    chooseTeachEduTwo() {
        this.setData({
            showTeachEdu: true,
            teacherEdu: '不限',
        })
        // 点击老师学历的选项后，将原来的选项取消，恢复到默认选项
        let educationL = this.data.educationL
        for (let i = 0; i < educationL.length; i++) {
            if (i == 0) {
                educationL[i].chosed = true
            } else {
                educationL[i].chosed = false
            }
        }
        this.setData({
            educationL
        })

    },
    // 关闭老师学历选项区的方法
    hiddenTeachEduT() {
        this.setData({
            showTeachEdu: false
        })
    },
    // 从下拉选区选择老师的学历
    onChosedTeacherEduT(e) {
        let index = e.currentTarget.dataset.index
        let educationL = this.data.educationL
        for (let i = 0; i < educationL.length; i++) {
            if (i == index) {
                educationL[i].chosed = !educationL[i].chosed
            } else {
                educationL[i].chosed = false
            }
        }
        this.setData({
            educationL
        })
    },
    // 老师学历确定按钮点击事件
    confirmTeachEduT() {
        let educationL = this.data.educationL
        let index
        for (let i = 0; i < educationL.length; i++) {
            if (educationL[i].chosed) {
                index = i
            }
        }
        let teacherEdu = educationL[index]?.edu || educationL[0].edu
        this.setData({
            teacherEdu
        })
        this.hiddenTeachEduT()
    },

    // 选择老师性别
    // 打开老师性别选项区
    chooseTeachSex() {
        this.setData({
            showTeachSex: true,
            teacherSex: '不限'
        })
        // 点击老师性别的选项后，将原来的选项取消，恢复到默认选项
        let teachSexList = this.data.teachSexList
        for (let i = 0; i < teachSexList.length; i++) {
            if (i == 0) {
                teachSexList[i].chosed = true
            } else {
                teachSexList[i].chosed = false
            }
        }
        this.setData({
            teachSexList
        })
    },
    // 关闭老师性别选区的方法
    hiddenTeachSex() {
        this.setData({
            showTeachSex: false
        })
    },
    // 从下拉选区选择老师性别
    onChosedTeachsex(e) {
        let index = e.currentTarget.dataset.index
        let teachSexList = this.data.teachSexList
        for (let i = 0; i < teachSexList.length; i++) {
            if (i == index) {
                teachSexList[i].chosed = !teachSexList[i].chosed
            } else {
                teachSexList[i].chosed = false
            }
        }
        this.setData({
            teachSexList
        })
    },
    // 老师性别确定按钮点击事件
    confirmTeacherSex() {
        let teachSexList = this.data.teachSexList
        let index
        for (let i = 0; i < teachSexList.length; i++) {
            if (teachSexList[i].chosed) {
                index = i
            }
        }
        let teacherSex = teachSexList[index]?.sex || teachSexList[0].sex
        this.setData({
            teacherSex
        })
        this.hiddenTeachSex()
    },

    // 是否要求老师头像上传
    // 打开老师头像是否上传选项区
    toTeacherImgUpload() {
        this.setData({
            showTeachImg: true,
            teacherImg: '不限'
        })
        // 点击老师头像是否上传的选项后，将原来的选项取消，恢复到默认选项
        let teacherImgList = this.data.teacherImgList
        for (let i = 0; i < teacherImgList.length; i++) {
            if (i == 0) {
                teacherImgList[i].chosed = true
            } else {
                teacherImgList[i].chosed = false
            }
        }
        this.setData({
            teacherImgList
        })
    },
    // 关闭老师头像是否上传选区的方法
    hiddenTeacherImgUpload() {
        this.setData({
            showTeachImg: false
        })
    },
    // 从下拉选区选择老师头像是否上传
    onChosedImgUpload(e) {
        let index = e.currentTarget.dataset.index
        let teacherImgList = this.data.teacherImgList
        for (let i = 0; i < teacherImgList.length; i++) {
            if (i == index) {
                teacherImgList[i].chosed = !teacherImgList[i].chosed
            } else {
                teacherImgList[i].chosed = false
            }
        }
        this.setData({
            teacherImgList
        })
    },
    // 老师头像是否上传确定按钮点击事件
    confirmTeacherImgUpload() {
        let teacherImgList = this.data.teacherImgList
        let index
        for (let i = 0; i < teacherImgList.length; i++) {
            if (teacherImgList[i].chosed) {
                index = i
            }
        }
        let teacherImg = teacherImgList[index]?.imgUpload || teacherImgList[0].imgUpload
        this.setData({
            teacherImg
        })
        this.hiddenTeacherImgUpload()
    },

    // 对老师的其他需求
    getOtherNeed(e) {
        // console.log(e)
        this.setData({
            toTeacherOtherNeed: e.detail.value
        })
    },


    // 提交
    toSubmit() {
        //判断姓名是否为空
        let stuName = this.data.stuName
        if(!stuName){
            wx.showToast({
              title: '姓名不能为空',
              icon:'none'
            })
            return
        }
        //判断手机号码是否为空
        let stuPhoneNum = this.data.stuPhoneNum
        if(!stuPhoneNum){
            wx.showToast({
                title: '手机号不能为空',
                icon:'none'
              })
              return
        }
        //判断手机号码是否正确
        let phoneReg = /^1(3|4|5|6|7|8|9)\d{9}$/;
        if (!phoneReg.test(stuPhoneNum)) {
            wx.showToast({
                title: '手机号格式错误',
                icon: 'none'
            })
            return;
        }
        //判断微信号码是否为空
        let stuWeChatNum = this.data.stuWeChatNum
        if(!stuWeChatNum){
            wx.showToast({
                title: '微信号不能为空',
                icon:'none'
              })
              return
        }
        // 判断课程类别（大类）是否选择
        let chosedCourse = this.data.chosedCourse
        if(!chosedCourse){
            wx.showToast({
                title: '课程类别未选',
                icon:'none'
              })
              return
        }
        // 判断课程细分（小类）是否选择
        let chosedCourseDetail = this.data.chosedCourseDetail
        if(!chosedCourseDetail){
            wx.showToast({
                title: '课程细分未选',
                icon:'none'
              })
              return
        }
        // 判断辅导方式是否选择
        let teachPosition = this.data.teachPosition
        if(!teachPosition){
            wx.showToast({
                title: '辅导方式未选',
                icon:'none'
              })
              return
        }
        // 判断学生性别是否选择
        let stuSex = this.data.stuSex
        if(!stuSex){
            wx.showToast({
                title: '学生性别未选',
                icon:'none'
              })
              return
        }
        //判断课时费是否输入
        let salary = this.data.salary
        if(!salary){
            wx.showToast({
                title: '课时费不能为空',
                icon:'none'
              })
              return
        }
        //判断上课时间是否选择
        //调用上课时间合并的函数
        this.joinTime()
        // 判断上课时间是否为空
        let schoolTime = this.data.schoolTime
        if (schoolTime.length == 0) {
            wx.showToast({
                title: '请选择上课时间',
                icon: 'none'
            })
            return
        }

        // 存入本地缓存
        wx.setStorageSync('student', {
            stuName: this.data.stuName,
            stuPhoneNum: this.data.stuPhoneNum,
            stuWeChatNum: this.data.stuWeChatNum,
            chosedCourse: this.data.chosedCourse,
            chosedCourseDetail: this.data.chosedCourseDetail,
            teachPosition: this.data.teachPosition,
            stuSex: this.data.stuSex,
            salary: this.data.salary,
            schoolTime: this.data.schoolTime,
            stuGoal: this.data.stuGoal,
            teacherAttr: this.data.teacherAttr,
            teacherEdu: this.data.teacherEdu,
            teacherSex: this.data.teacherSex,
            teacherImg: this.data.teacherImg,
            toTeacherOtherNeed: this.data.toTeacherOtherNeed
        })
        wx.showToast({
            title: '提交成功',
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})